/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var self = ko.observable(null),
        action = ko.observable(''),
        data = ko.observable({}),
        settings = ko.observable({});

    return {
        self: self,
        action: action,
        data: data,
        settings: settings
    };
});
